Skip to content

List Social Posts

GET
/social/posts

Posts, newest first, with the org-wide count per status.

Authorizations

Parameters

Query Parameters

status
Any of:
string
Allowed values: draft ready scheduled publishing live failed cancelled

Only posts in this state.

page
integer
default: 1 >= 1
page_size
integer
default: 25 >= 1 <= 100

Header Parameters

X-Target-Org-Id
Any of:
string

Responses

200

Successful Response

object
data
required

A page of posts plus the org-wide count per status.

object
counts
required
object
key
additional properties
integer
items
required
Array<object>

One post.

object
account_ref
Any of:
string
autopilot_config_id
Any of:
string
autopilot_version
Any of:
integer
body
required
string
campaign_id
Any of:
string
created_at
Any of:
string
created_by
required
string
external_post_id
Any of:
string
external_post_url
Any of:
string
failure_reason
Any of:
string
generation_metadata
Any of:
object
key
additional properties
any
generation_sources
Any of:
Array<string>
id
required
string
idea_id
Any of:
string
media
Any of:
Array<object>
object
key
additional properties
any
post_type
required
string
provider
Any of:
string
published_at
Any of:
string
scheduled_at
Any of:
string
status
required
string
updated_at
Any of:
string
total
required
integer
pagination
Any of:
object
has_next
required

Whether there are more pages

boolean
limit
required

Items per page

integer
next_cursor
Any of:
string
notes
Any of:
Array<string>
page
required

Current page number (1-indexed)

integer
total
required

Total number of items

integer
total_available
Any of:
integer
total_is_lower_bound
Any of:
boolean

422

Validation Error

object
detail
Array<object>
object
loc
required
Array
msg
required
string
type
required
string